Package org.gradle.plugins.signing.signatory

# Class SignatorySupport

java.lang.Object
org.gradle.plugins.signing.signatory.SignatorySupport

All Implemented Interfaces:
  `Signatory`

Direct Known Subclasses:
  `PgpSignatory`

public abstract class SignatorySupport extends Object implements Signatory
Convenience base class for `Signatory` implementations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignatorySupport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `sign(InputStream toSign)`
  Exhausts `toSign`, and returns the raw signature bytes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.plugins.signing.signatory.Signatory

  `getKeyId, getName, sign`

- ## Constructor Details

  - ### SignatorySupport

    public SignatorySupport()

- ## Method Details

  - ### sign

    public byte[] sign(InputStream toSign)
    Description copied from interface: `Signatory`
    Exhausts `toSign`, and returns the raw signature bytes.
    Specified by:
      `sign` in interface `Signatory`
    Parameters:
      `toSign` - The source of the data to be signed
    Returns:
      The raw bytes of the signature